package com.backendsys.mapper.B2c;

import com.backendsys.entity.B2c.B2cGoodSpecDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface B2cGoodSpecMapper {
    List<Map<String, Object>> queryGoodSpecList(B2cGoodSpecDTO b2cGoodSpecDTO);
    List<Map<String, Object>> queryGoodSpecByIds(List<Integer> spec_ids);
    Map<String, Object> queryGoodSpecDetail(Long good_id);
    long insertGoodSpec(B2cGoodSpecDTO b2cGoodSpecDTO);
    long deleteGoodSpec(B2cGoodSpecDTO b2cGoodSpecDTO);
    long updateGoodSpec(B2cGoodSpecDTO b2cGoodSpecDTO);
}
